Name:           f-spot
Version:        0.6.1.3
Release:        1%{?dist}
Summary:        Photo management application

Group:          Applications/Multimedia
License:        GPLv2+ and LGPLv2+ and CPL and MIT
URL:            http://f-spot.org/
Source0:        http://ftp.gnome.org/pub/gnome/sources/f-spot/0.6/f-spot-%{version}.tar.bz2
# Use system mono-addins
Patch2:         0001-use-system-Mono.Addins-if-available.patch
# unmount cameras before importing
Patch3:         0002-enhance-the-f-spot-import-script.patch
# I'm told this is fixed in SVN
Patch4:         f-spot-0.6.0.0-gtk-deprecated.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=596922
Patch6:         0001-remove-support-for-older-cairo-version.patch


BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel mono-web mono-data mono-data-sqlite lcms-devel
BuildRequires:  libexif-devel gphoto2-devel >= 2.1.4 
BuildRequires:  gtk-sharp2-devel >= 2.7 libgnome-devel libgnomeui-devel
BuildRequires:  gtk2-devel mono-devel libjpeg-devel sqlite-devel >= 3.3.1
BuildRequires:  gnome-sharp-devel gnome-desktop-sharp-devel gtk-sharp2-gapi
BuildRequires:  gettext
BuildRequires:  autoconf, automake, libtool, intltool
BuildRequires:  perl(XML::Parser)
BuildRequires:  gnome-doc-utils
BuildRequires:  ndesk-dbus-glib-devel
BuildRequires:  mono-addins-devel
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme 
Requires:       yelp
Requires:       sqlite >= 3.3.1
Requires:       lcms
Requires:       dcraw
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

# Mono only available on these: (s390x disabled for now)
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha 

# Some compiler segfault on ia64:
ExcludeArch: ia64

# No libgphoto etc on s390
ExcludeArch: s390

%description
F-Spot is an application designed to provide personal photo management
to the GNOME desktop. Features include import, export, printing and advanced
sorting and tagging of digital images. 

%package screensaver
Summary: F-Spot gnome-screensaver plugin
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: gnome-screensaver
Obsoletes: f-spot < 0.6.1.1

%description screensaver
F-Spot provides a plugin for gnome-screensaver which displays parts of the
photo collection in a slideshow as a screensaver.

%prep
%setup -q

%patch2 -p1 -b .link-system-mono-addins
%patch3 -p1 -b .gvfs-gphoto
%patch4 -p1 -F 2 -b .gtk-deprecated
%patch6 -p1 -F 2 -b .cairo-fix

%build
autoreconf -f -i
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/%{name}/*.a
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/pkgconfig/f-spot.pc

chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/*.exe
chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/*.dll

for file in $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop
do
   desktop-file-validate $file
done

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/help/f-spot/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/f-spot/
%dir %{_libdir}/f-spot/
%{_libdir}/f-spot/*.dll
%{_libdir}/f-spot/*.exe
%{_libdir}/f-spot/*.addins
%{_libdir}/f-spot/*.config
%{_libdir}/f-spot/*.mdb
%{_libdir}/f-spot/*.so
%{_libdir}/f-spot/*.so.*
%exclude %{_libdir}/f-spot/extensions/ScreensaverConfig.dll
%{_libdir}/f-spot/extensions/
%{_bindir}/f-spot
%{_bindir}/f-spot-import
%{_bindir}/f-spot-sqlite-upgrade
%{_datadir}/omf/f-spot/

%files screensaver
%defattr(-,root,root,-)
%{_libdir}/f-spot/extensions/ScreensaverConfig.dll
%{_prefix}/libexec/gnome-screensaver/f-spot-screensaver
%{_datadir}/applications/screensavers/f-spot-screensaver.desktop

%changelog
* Tue Oct 13 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.3-1
- Update to 0.6.1.3 (BZ 526217)
- Remove two upstreamed patches
- Use a slightly different fix for the cairo-devel dependency
  (suggested by upstream)

* Sat Oct 03 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.2-2
- Add patch to fix f-spot crash when using "soft focus" and cairo-devel
  was not installed (BZ 526563)

* Fri Sep 25 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.1.2-1
- Add upstream patches (
  commit b87604bc9782bf92f053aaf3ceb739a32f44ea13
  commit 807dab4344ecdadc7e46793369821de8b49692e5 )
  to fix crash in facebook exporter (BZ 524860)
- Update to 0.6.1.2
- Move the screensaver plugin into a sub-package (BZ 519640)
- Let f-spot-screensaver obsolete older f-spot version so that it
  is pulled in during update (fresh installations of f-spot will not
  pull in gnome-screensaver)
- Remove upstreamed patches
- Updated use-system-Mono.Addins-if-available patch
- Add a patch to enable parallel build 

* Tue Sep 15 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.0.0-1.1
- Fix crash due to incorrect GTK+ version (BZ #523236)

* Sun Aug 09 2009 Christian Krause <chkr@fedoraproject.org> - 0.6.0.0-1
- Update to new upstream version 0.6.0.0
- Cleanup spec file

* Fri Jul 31 2009 Christian Krause <chkr@fedoraproject.org> - 0.5.0.3-5
- Re-add patch to use system mono-addins (BZ #484996)

* Sat Jul 25 2009 Christian Krause <chkr@fedoraproject.org> - 0.5.0.3-4
- Avoid showing f-spot twice for photo imports
- Make f-spot-import work with gvfs (BZ #485037)

* Sun Jan 04 2009 Devan Goodwin <dgoodwin@redhat.com> 0.5.0.3-3
- Merge in changes from devel spec file.

* Mon Dec 22 2008 Devan Goodwin <dgoodwin@redhat.com> 0.5.0.3-1
- Update to 0.5.0.3.

* Tue Oct 28 2008 Orion Poplawski <orion@cora.nwra.com.com> - 0.4.4-7
- Run desktop-file-validate against desktop files

* Mon Oct 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.4-6
- rebuild against new gnome-sharp

* Thu Oct  2 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.4-5
- Use a standard icon name instead of a non-existing one

* Mon Jul 14 2008 Nigel Jones <dev@nigelj.com> - 0.4.4-4
- Remove Tom's patch in -2, there is a gtk-sharp 2.12.1, just nobody bothered
  packaging it.
- Patch Makefile{.in,am} to use DESTDIR for the gio-sharp.dll, this is
  effectively a backport of r4010 Upstream.
- Patch libfspot/Makefile{.in,am} to remove -DGTK_DISABLE_DEPRECATED per
  recommendation of upstream.
- Re-add patch to use system mono-addins
- Include GIO stuff for now (until it appears in gtk-sharp)

* Wed Jul  5 2008 Alex Lancaster <alexlan[AT] fedoraproject org> - 0.4.4-3
- gtkhtml dependency now provided by gnome-desktop-sharp-devel
  rather than gnome-sharp-devel, so add as BuildRequires

* Wed Jun  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.4-2
- Fix it to not look for non-existant glib-sharp-2.12.1

* Wed Jun  4 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.4-1
- update to 0.4.4
- fix license tag

* Tue May 13 2008 Matthias Clasen <mclasne@redhat.com> - 0.4.3.1-1
- Update to 0.4.3.1

* Tue Apr 15 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.4.2-5
- Add patch from Debian to use system mono-addins (from #442343)

* Sat Mar  1 2008 Christopher Aillon <caillon@redhat.com> - 0.4.2-4
- Require dcraw

* Fri Feb 29 2008 Christopher Aillon <caillon@redhat.com> - 0.4.2-3
- Fix the build

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.2-2
- Autorebuild for GCC 4.3

* Thu Feb 14 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.2-1
- Update to 0.4.2

* Fri Jan 18 2008 Matthias Clasen <mclasen@redhat.com> - 0.4.1-2
- Add support for content-types

* Thu Dec  6 2007 Matthias Clasen <mclasen@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Sat Nov 17 2007 Matthias Clasen <mclasen@redhat.com> - 0.4.0-4
- Remove comments from ExclusiveArch line (#388581)

* Tue Oct  2 2007 Matthias Clasen <mclasen@redhat.com> - 0.4.0-3
- Add alpha to ExclusiveArch

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.4.0-2
- Rebuild for build ID

* Sat Aug  4 2007 Matthis Clasen <mclasen@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Mon Jul  2 2007 Christopher Aillon <caillon@redhat.com> - 0.3.5-3
- Hack to get screensavers to work again (#221546)

* Fri Apr 13 2007 Christopher Aillon <caillon@redhat.com> - 0.3.5-2
- Now with validated desktop files!

* Wed Mar  7 2007 Christopher Aillon <caillon@redhat.com> - 0.3.5-1
- Update to 0.3.5

* Wed Feb 28 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.4-1
- Update to 0.3.4

* Tue Feb 13 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Tue Jan 23 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Fri Oct 20 2006 Christopher Aillon <caillon@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Mon Oct 16 2006 Matthias Clasen <mclasen@redhat.com> - 0.2.1-2
- Fix a directory ownership issue (#211009)

* Wed Sep 13 2006 Christopher Aillon <caillon@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Tue Sep 12 2006 Matthias Clasen <mclasen@redhat.com> - 0.2.0-2
- Add libgphoto2_port version to dll config (#205302)

* Mon Sep  4 2006 Christopher Aillon <caillon@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.1.11-5
- Rebuild with new mono and gtk-sharp2

* Thu Jul 27 2006 Matthias Clasen <mclasen@redhat.com> - 0.1.11-4
- Fix dbus-sharp BR

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.1.11-3.1
- rebuild

* Sun Jun 24 2006 Jesse Keating <jkeating@redhat.com> 0.1.11-3
- Add missing BR gettext

* Wed May 31 2006 Alexander Larsson <alexl@redhat.com> 0.1.11-2
- Rebuild for gmime update

* Fri Mar 17 2006 Christopher Aillon <caillon@redhat.com> 0.1.11-1
- Update to 0.1.11

* Fri Feb 24 2006 Christopher Aillon <caillon@redhat.com> 0.1.10-1
- Update to 0.1.10

* Tue Feb 21 2006 Karsten Hopp <karsten@redhat.de> 0.1.9-2
- add BuildRequires  libgnome-devel libgnomeui-devel
  gtk2-devel mono-devel libjpeg-devel sqlite-devel

* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 0.1.9-1
- Update to 0.1.9

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 0.1.8-3
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.1.8-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> - 0.1.8-2
- Add sqlite3.patch to ensure that sqlite3 is used if both
  sqlite2 and sqlite3 are installed.

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> - 0.1.8-1
- Update to 0.1.8
- Use sqlite3 instead of sqlite2

* Tue Jan 31 2006 Ray Strode <rstrode@redhat.com> - 0.1.5-3
- don't blindly run f-spot from current working directory
  (bug 177407)

* Tue Jan 10 2006 Alexander Larsson <alexl@redhat.com> - 0.1.5-2
- Add lcms depencency

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Thu Dec  8 2005 Alexander Larsson <alexl@redhat.com> 0.1.3-3
- Use sqlite2 to avoid problems with beagle

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> 0.1.3-2
- Make exes and dlls executable to pick up dependencies
- Remove .a and .la files

* Wed Nov 16 2005 Alexander Larsson <alexl@redhat.com> - 0.1.3-1
- Initial version

